Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.acl
Class DefaultUserImpl

    java.lang.Object
      java.security.Identity
          weblogic.security.acl.User
              weblogic.security.acl.DefaultUserImpl

All Implemented Interfaces:
  Principal, Serializable

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by JAAS principal and the Pluggable Security Infrastructure .

public class DefaultUserImpl
extends User
implements Serializable

DefaultUserImpl is the default implementation of the interface User. It only has a name and credentials -- no other constraints. The credentials can be a password string and/or an X509 certificate or a chain of X509 certificates. Note that certificates are accepted, but ignored; only passwords are honoured.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`DefaultUserImpl()` Deprecated. Constructs a DefaultUserImpl.
`DefaultUserImpl(String name, Object credential, BasicRealm realm)` Deprecated.

Method Summary
`Object` | `getCredential(Object ownerCredential)` Deprecated. Gets the credential of a DefaultUser.
`BasicRealm` | `getRealm()` Deprecated. Gets the BasicRealm associated with a DefaultUser.
`boolean` | `hasMatchingInfo(UserInfo unauthenticatedUserInfo)` Deprecated.
`protected void` | `setCredential(Object credential)` Deprecated.

Methods inherited from class weblogic.security.acl.User
`identityEquals, toString`

Methods inherited from class java.security.Identity
`addCertificate, certificates, equals, getInfo, getName, getPublicKey, getScope, hashCode, removeCertificate, setInfo, setPublicKey, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultUserImpl

    public DefaultUserImpl()

  Deprecated.
  Constructs a DefaultUserImpl. For serialization only.

### DefaultUserImpl

    public DefaultUserImpl(String name,
                           Object credential,
                           BasicRealm realm)

  Deprecated.

Method Detail

### getCredential

    public Object getCredential(Object ownerCredential)

  Deprecated.
  Gets the credential of a DefaultUser. Only an owner of the ACL for a realm can request the credential of a user.

  Overrides:
    `getCredential` in class `User`
  Parameters:
    `ownerCredential` - Owner of the realm's ACL
  Returns:
    Credential, as a DefaultUserInfo object

### getRealm

    public BasicRealm getRealm()

  Deprecated.
  Gets the BasicRealm associated with a DefaultUser.

  Overrides:
    `getRealm` in class `User`
  Returns:
    BasicRealm

### hasMatchingInfo

    public boolean hasMatchingInfo(UserInfo unauthenticatedUserInfo)

  Deprecated.

### setCredential

    protected void setCredential(Object credential)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD